---
sidebar_label: Device
---

# Device interface

**Signature:**

```typescript
export interface Device
```

## Properties

| Property                                     | Modifiers | Type                                                                                                                      | Description |
| -------------------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [name](./puppeteer.device.name.md)           |           | string                                                                                                                    |             |
| [userAgent](./puppeteer.device.useragent.md) |           | string                                                                                                                    |             |
| [viewport](./puppeteer.device.viewport.md)   |           | { width: number; height: number; deviceScaleFactor: number; isMobile: boolean; hasTouch: boolean; isLandscape: boolean; } |             |
